Package org.eclipse.core.commands.common

## Class AbstractHandleObjectEvent

- java.lang.Object
- - org.eclipse.core.commands.common.AbstractBitSetEvent
  - - org.eclipse.core.commands.common.AbstractHandleObjectEvent

Direct Known Subclasses:
  `AbstractNamedHandleEvent`, `ParameterTypeEvent`

    public abstract class AbstractHandleObjectEvent
    extends AbstractBitSetEvent

An event fired from a `NamedHandleObject`. This provides notification of changes to the defined state, the name and the description.

Since:
  3.2

### Field Summary

Fields
`protected static int` `CHANGED_DEFINED` The bit used to represent whether the category has changed its defined state.
`protected static int` `LAST_BIT_USED_ABSTRACT_HANDLE` The last used bit so that subclasses can add more properties.

### Fields inherited from class org.eclipse.core.commands.common.AbstractBitSetEvent

`changedValues`

### Constructor Summary

Constructors
`protected` `AbstractHandleObjectEvent​(boolean definedChanged)` Constructs a new instance of `AbstractHandleObjectEvent`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDefinedChanged()` Returns whether or not the defined property changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHANGED_DEFINED

    protected static final int CHANGED_DEFINED

The bit used to represent whether the category has changed its defined state.

See Also:
  Constant Field Values

#### LAST_BIT_USED_ABSTRACT_HANDLE

    protected static final int LAST_BIT_USED_ABSTRACT_HANDLE

The last used bit so that subclasses can add more properties.

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractHandleObjectEvent

    protected AbstractHandleObjectEvent​(boolean definedChanged)

Constructs a new instance of `AbstractHandleObjectEvent`.

Parameters:
  `definedChanged` - `true`, iff the defined property changed.

### Method Detail

#### isDefinedChanged

    public final boolean isDefinedChanged()

Returns whether or not the defined property changed.

Returns:
  `true`, iff the defined property changed.